Sequoia is a comprehensive OpenPGP implementation written in Rust. It provides reusable components for applications that need to create, inspect, encrypt, decrypt, sign or verify OpenPGP data, together with command-line tools for users who want those capabilities directly.
The project implements modern OpenPGP specifications while retaining support for the older standard where compatibility is required. Its design separates low-level packet and message handling from higher-level policy decisions, allowing applications to decide how certificates, signatures and trust information should be treated.
This is free and open source software.
Key Features
- Implements OpenPGP as defined by RFC 9580 and RFC 9980, with compatibility for the deprecated RFC 4880 standard.
- Provides the sq command-line frontend for encryption, decryption, signing, verification and certificate management.
- Includes sqv for focused detached-signature verification with configurable validation requirements.
- Offers Rust crates for OpenPGP processing, certificate storage, keystore access, networking and web-of-trust operations.
- Supports unbuffered message processing so applications do not need to load complete messages into memory.
- Uses a policy framework so applications can define acceptable algorithms and validation rules.
- Uses modern algorithm defaults and omits some obsolete compatibility features considered unsafe or unnecessary.
- Provides a C API for integrating selected Sequoia functionality into software outside the Rust ecosystem.
Website: gitlab.com/sequoia-pgp/sequoia
Support:
Developer: Sequoia PGP
License: GNU Library General Public License v2.0
Sequoia is written in Rust. Learn Rust with our recommended free books and free tutorials.
Related Software
| CLI File Encryption Tools | |
|---|---|
| SOPS | Editor of encrypted files |
| age | Simple file encryption tool |
| GnuPG | Implementation of the OpenPGP standard |
| Sequoia PGP | Comprehensive OpenPGP implementation |
| horcrux | File splitter with encryption and redundancy |
| rage | Simple encryption tool using the age format |
| Kryptor | Simple, modern, and secure file encryption and signing tool |
| transcrypt | Transparently encrypt sensitive files stored in Git repositories |
| Picocrypt | Very small (hence Pico), very simple, yet very secure encryption tool |
| enc | Designed as a modern, approachable alternative to GnuPG |
| ccrypt | Tool for encrypting and decrypting files and streams |
| Encpipe | Billed as the simplest encryption tool in the world |
| Volaris | Encryption tool designed to prioritize privacy and security |
| sigtool | Sign, verify, encrypt and decrypt files from the command line |
| eddy | Simple and fast CLI file encryption |
| Xecrets Cli | AxCrypt compatible encryption tool |
| nacrypt | Simple and easy-to-use file encryption utility |
| agevault | Encrypt and decrypt directories securely using age |
| v02enc | Symmetric encryption for multiple recipients |
| PurrCrypt | Fur-ociously secure encryption tool |
Read our verdict in the software roundup.
Explore our carefully curated directory of recommended free and open source software, covering every major software category.The directory forms part of our extensive collection of articles for Linux enthusiasts. It includes hundreds of detailed reviews, together with free and open source alternatives to proprietary software from companies such as Google, Microsoft, Apple, Adobe, IBM, Cisco, Oracle, and Autodesk. LinuxLinks also covers interesting projects worth exploring, Linux-compatible hardware, free programming books and tutorials, and much more. Know a useful free and open source Linux application that we haven’t covered? Tell us about it using our submission form. |


Please read our Comment Policy before commenting.